# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      db.py
# Author:       lin
# Datetime:     2024/12/26 19:17
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from APITest_1226 import log
from APITest_1226.common.read_basic_ini import ReadBasicIni


class DB:
    @log
    def __init__(self):
        """连接数据库"""
        self.basic_ini = ReadBasicIni()
        self.conn = pymysql.connect(
                    host=self.basic_ini.get_sql("host"),
                    port=int(self.basic_ini.get_sql("port")),
                    user=self.basic_ini.get_sql("user"),
                    password=self.basic_ini.get_sql("pwd"),
                    database=self.basic_ini.get_sql("database"),
                    charset="utf8"
                )
        self.cursor =self.conn.cursor()

    @log
    def close(self):
        """关闭数据库的连接"""
        self.cursor.close()
        self.conn.close()

    @log
    def delete(self,sql):
        """删除语句"""
        self.cursor.execute(sql)
        self.conn.commit()

    @log
    def select(self,sql):
        """选择语句"""
        self.cursor.execute(sql)
        sql_result = self.cursor.fetchall()
        if sql_result:
            return sql_result[0][0]









if __name__ == '__main__':
    res = DB()
    print(res.select("""SELECT `ID_` FROM uc_demension where `CODE_`= 'testAddDemf';"""))