# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      read_basic_ini.py
# Author:       lin
# Datetime:     2024/12/26 16:47
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from APITest_1226 import log



class ReadBasicIni:
    @log
    def __init__(self):
        """获取basicini的路径并读取"""
        data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        basic_ini = os.path.join(data_config_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(basic_ini,encoding="utf-8")

    @log
    def get_host(self,key):
        """获取配置项目的域名"""
        return self.conf.get("host",key)

    @log
    def get_sql(self,key):
        """获取连接数据库的信息"""
        return self.conf.get("sql",key)

    @log
    def get_user(self,key):
        """获取用户用例文件名称"""
        return self.conf.get("user",key)



if __name__ == '__main__':
    res = ReadBasicIni()
    print(res.get_host("bpm"))
    print(res.get_sql("host"))
    print(res.get_user("lisi"))
